# $Revision: 1.12 $, $Date: 2004/03/24 18:54:30 $
Summary:	An HTTP regression testing/benchmarking utility
Summary(pl):	Narzdzie do testowania serwerw HTTP
Name:		siege
Version:	2.59
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://sid.joedog.org/pub/siege/%{name}-%{version}.tar.gz
# Source0-md5:	52bf3ae4d8e7bdec158a5ad16a6c66f0
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-am_fixes.patch
URL:		http://www.joedog.org/siege/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Siege is a regression test and benchmark utility. It can stress test a
single URL with a user defined number of simulated users, or it can
read many URLs into memory and stress them simultaneously. The program
reports the total number of hits recorded, bytes transferred, response
time, concurrency, and return status. Siege supports HTTP/1.0 and 1.1
protocols, GET and POST directives, cookies, transaction logging, and
basic authentication. Its features are configurable on a per user
basis.

%description -l pl
Siege to narzdzie do testowania dziaania i wydajnoci serwerw HTTP.
Moe testowa odporno dla pojedynczego URL-a ze zdefiniowan liczb
symulowanych uytkownikw, lub ciga wiele URL-i do pamici,
obciajc je rwnoczenie. Program raportuje cakowit liczb
cignitych dokumentw, liczb przesanych bajtw, czas reakcji,
liczb jednoczesnych pocze i status operacji. Siege obsuguje
protokoy HTTP/1.0 i 1.1, metody GET i POST, cookie, logowanie
transakcji oraz zwyk autentykacj. Opcje s konfigurowalne dla
uytkownika.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure --with-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.https AUTHORS KNOWNBUGS NEWS ChangeLog
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: siege.spec,v $
Revision 1.12  2004/03/24 18:54:30  wrobell
- ver. 2.59

Revision 1.11  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.10  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/05/28 13:01:51  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.6  2002/11/29 22:46:35  ankry
- massive attack: new %%doc

Revision 1.5  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/06 11:20:23  qboosh
- pl description

Revision 1.2  2002/05/05 11:28:05  kloczek
- added ac_fixes patch (now siege is compiled with correct optimization flags),
- regenerate ac/am files,
- remove empty %{pust,pre}{,un} scripts.

Revision 1.1  2002/05/05 09:36:07  orzech
- new in PLD
- builds, works fine, STBR
